- [HTTP request](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/patch#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/locations/patch#body.aspect)

Updates the specified location.

### HTTP request

`PATCH https://mybusinessbusinessinformation.googleapis.com/v1alpha/{location.name=locations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `location.name` | `string` Identifier. Google identifier for this location in the form: `locations/{locationId}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The specific fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `validateOnly` | `boolean` Optional. If true, the request is validated without actually updating the location. When this field is set, we will only return validation errors if there were any. The response will be empty if no errors were found. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/accounts.locations#Location`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/businessinformation/rest/v1alpha/accounts.locations#Location`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).